Subject: RE: [AAA-WG]: Question regarding FA-HA session key

From: "Fredrik Johansson" <[email-masked]>
Date: Fri, 2 Nov 2001 14:27:12 +0100

Kevin,

The length of the key will be the length of the hash produced by the
algoritm used to create the key. I.e. if you use hmac-md5 it will be 16
bytes, and if you use hmac-sha1 it will 20 bytes.

/Fredrik

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]On Behalf Of
>Kevin Purser
>Sent: den 31 oktober 2001 20:56
>To: [email-masked]
>Subject: [AAA-WG]: Question regarding FA-HA session key
>
>
>Hello all,
>
>I have looked at the aaa-key-08 and mobileip-08-alpha drafts, and I can't
>seem to find a particular detail regarding the MIP session key used between
>the FA and HA.  It is apparently an OctetString (as the MIP-Session-Key AVP
>is defined), but the length of this string isn't defined- have I missed it
>somewhere else?  If not, wouldn't it be a good idea state somewhere the
>length (in bytes) of the key, or at least define a required minimum key
>length (just as aaa-key-08 defines a minimum length of 64 bits for MN-* key
>material)?
>
>-Kev

---

From: "Martin Julien (ECE)" <[email-masked]>
Date: Fri, 2 Nov 2001 18:54:39 +0100

Hi Kevin,

My understanding is, according to the RFC 2002 section 5.1, 
that the minimum key size must be at least 128 bits, like the
one produced using MD-5. When using other algorithms, the key
might be using more than 128 bits. In recent versions of the RFC,
it is also required a minimum of 128 bits for the FA.

Martin

> From: Fredrik Johansson [mailto:[email-masked]]
> Sent: Friday, November 02, 2001 2:27 PM
> To: Kevin Purser; [email-masked]
> Subject: RE: [AAA-WG]: Question regarding FA-HA session key
> 
> 
> Kevin,
> 
> >From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of
> >Kevin Purser
>